# Lambda Managed Instances

### Docs

* <https://docs.aws.amazon.com/lambda/latest/dg/lambda-managed-instances.html>

### Creating a lambda capacity provider with minimal parameters

```
resources:
  - type: aws_lambda_capacity_provider
    name: my-capacity-provider
    props:
      permissions_config:
        capacity_provider_operator_role_arn: arn:aws:iam::123456789012:role/LambdaCapacityProviderRole
      vpc_config:
        subnet_ids:
          - subnet-12345678
        security_group_ids:
          - sg-12345678
      instance_requirements:
        architectures:
          - arm64
        allowed_instance_types:
          - m6g.large
          - m6g.2xlarge
```

#### Example price for above configuration

```
my-capacity-provider (action: create)
=> Price (EC2 Instance cost (m6g.2xlarge) - price: $0.308/Hrs, monthly: $229.15)
=> Price (Management fee (m6g.2xlarge) - price: $0.0462/Hrs, monthly: $34.37)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mechcloud.io/cloud-computing/stateless-iac/aws/examples-resources-with-cost/lambda/lambda-managed-instances.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
